{"openapi":"3.1.0","info":{"title":"GET /api/v1/vendors/bulk-upload/template","version":"1.0.0","description":"Download bulk vendor upload CSV template"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/vendors/bulk-upload/template":{"get":{"tags":["vendors"],"summary":"Download bulk vendor upload CSV template","description":"Get a sample CSV template with the expected columns for bulk vendor upload.","operationId":"download_vendor_bulk_upload_template_api_v1_vendors_bulk_upload_template_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"TemplateResponse":{"properties":{"template_name":{"type":"string","title":"Template Name","description":"Template identifier."},"csv_content_stringified":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Csv Content Stringified","description":"CSV content as string."},"csv_content_object":{"anyOf":[{"items":{"additionalProperties":true,"type":"object"},"type":"array"},{"type":"null"}],"title":"Csv Content Object","description":"CSV parsed as JSON array."},"csv_content_base64":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Csv Content Base64","description":"Base64-encoded CSV for direct download."},"xls_content_base64":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Xls Content Base64","description":"Base64-encoded XLS/XLSX for direct download."}},"type":"object","required":["template_name"],"title":"TemplateResponse","description":"Response schema for an upload template.\n\nProvides the template in multiple formats for flexibility.\nCSV-based templates populate csv_* fields; XLS-based templates populate xls_content_base64.","example":{"csv_content_base64":"Y3VzdG9tZXJfZW1haWwsZHVlX2RhdGUuLi4=","csv_content_object":[{"customer_email":"example@customer.com","due_date":"2024-02-15","line_item_amount":"10000","line_item_description":"Service fee"}],"csv_content_stringified":"customer_email,due_date,line_item_description,line_item_amount\n","template_name":"invoices"}},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}